Unit Tde89e2_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, F88EX1_p, F2TREAT_p, DE89E_p;

function Tde89e2: String;

implementation

function Tde89e2: String;
var
M,K0,IMAX,INIAPR,_i,KP1,KP2,KP3,J :Integer;
XN,H,XK,H0,Q,X1 :Extended;
YT :Array [0..1] of Extended;
DYT :Array [0..1] of Extended;
DELY :Array [0..1] of Extended;
DELDY :Array [0..1] of Extended;
YN :Array [0..1] of Extended;
DYN :Array [0..1] of Extended;
Y :Array [0..1] of Extended;
DY :Array [0..1] of Extended;
RAB :Array [0..534] of Extended;
const
K :Integer = 11;
begin
Result := '';  {   }
{  }
{     AY1 - CHEBYSHEV COEFFICIENTS FOR 1 COORDINATE AT 1 INTERVAL }
{     AY2 - CHEBYSHEV COEFFICIENTS FOR 2 COORDINATE AT 1 INTERVAL }
{  }
{     AV1 - CHEBYSHEV COEFFICIENTS FOR 1 VELOCITY COMPONENT AT 1 INTERVAL }
{     AV2 - CHEBYSHEV COEFFICIENTS FOR 2 VELOCITY COMPONENT AT 1 INTERVAL }
{  }
{     AW1 - CHEBYSHEV COEFFICIENTS FOR 1 ACCELERATION COMPONENT AT 1 INTE }
{     AW2 - CHEBYSHEV COEFFICIENTS FOR 2 ACCELERATION COMPONENT AT 1 INTE }
{  }
{     BY1 - CHEBYSHEV COEFFICIENTS FOR 1 COORDINATE AT 2 INTERVAL }
{     BY2 - CHEBYSHEV COEFFICIENTS FOR 2 COORDINATE AT 2 INTERVAL }
{  }
{     BV1 - CHEBYSHEV COEFFICIENTS FOR 1 VELOCITY COMPONENT AT 2 INTERVAL }
{     BV2 - CHEBYSHEV COEFFICIENTS FOR 2 VELOCITY COMPONENT AT 2 INTERVAL }
{  }
{     BW1 - CHEBYSHEV COEFFICIENTS FOR 1 ACCELERATION COMPONENT AT 2 INTE }
{     BW2 - CHEBYSHEV COEFFICIENTS FOR 2 ACCELERATION COMPONENT AT 2 INTE }
{  }
{      YA - COORDINATES AT THE END OF 1 INTERVAL }
{      VA - VELOCITY    AT THE END OF 1 INTERVAL }
{      YB - COORDINATES AT THE END OF 2 INTERVAL }
{      VB - VELOCITY    AT THE END OF 2 INTERVAL }
{  }
{     INA - BOUNDARIES OF 1 INTERVAL }
{     INB - BOUNDARIES OF 2 INTERVAL }
{  }
M := 2;
Q := 0.5e0;
XN := 0.0;
YN[0] := Cos(Q)+3.e0;
YN[1] := -Sin(Q)+2.e0;
DYN[0] := 2.e0*Q*Sin(Q);
DYN[1] := 2.e0*Q*Cos(Q);
XK := 1.e0;
H0 := 0.5e0;
X1 := 2.e0*XK-1.e0;
YT[0] := Cos(Q*X1)+3.e0;
YT[1] := Sin(Q*X1)+2.e0;
DYT[0] := -2.e0*Q*Sin(Q*X1);
DYT[1] := 2.e0*Q*Cos(Q*X1);
K0 := K;
IMAX := 13;
INIAPR := 1;
H := H0;
DE89E(F88EX1,F2TREA2,M,XN,YN,DYN,XK,K0,INIAPR,IMAX,H,Y,DY,RAB);
DELY[0] := YT[0]-Y[0];
DELY[1] := YT[1]-Y[1];
DELDY[0] := DYT[0]-DY[0];
DELDY[1] := DYT[1]-DY[1];
Result := Result + Format(#$0D#$0A+' H0=%20.16f    K=%2d    INIAPR=%1d    IMAX=%2d ',
 [H0,K,INIAPR,IMAX]) + #$0D#$0A;
Result := Result + Format('%s',['  Y =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',['  YT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[YT[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[' DELY =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DELY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[' DY =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[' DYT=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DYT[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[' DELDY =']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[DELDY[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
KP1 := K+1;
KP2 := K+2;
KP3 := K+3;
{  }
{ ------------------------------------------------------------------ }
{  }
Result := Result + Format('%s',
 [#$0D#$0A + ' ****************************************************************' + #$0D#$0A]);
Result := Result + Format('%s',
 [#$0D#$0A + ' CHEBYSHEV COEFFICIENTS  AT 1 SEGMENT' + #$0D#$0A]);
Result := Result + Format('%s',[' INA=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[_FIRST_SEG.elm9[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [' COORDINATES AND VELOCITY AT THE END OF 1 SEGMENT:' + #$0D#$0A]);
Result := Result + Format('%s',[' YA=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[_FIRST_SEG.elm7[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[' VA=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[_FIRST_SEG.elm8[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 ['   Number of                      Coefficients for 1 component' + #$0D#$0A +
 '              -------------------------------------------------------------------------------------' + #$0D#$0A +
 ' coefficient            coordinate                    velocity                       acceleration' + #$0D#$0A +
 ' --------------------------------------------------------------------------------------------------' + #$0D#$0A]);
for J:=1 to KP1 do
 begin
Result := Result + Format('     %2d      %30.18e %30.18e %30.18e ',
 [J-1,_FIRST_SEG.elm1[J-1],_FIRST_SEG.elm3[J-1],_FIRST_SEG.elm5[J-1]]) + #$0D#$0A;
 end;
Result := Result + Format('     %2d      %30.18e %30.18e '+#$0D#$0A+'     %2d      %30.18e ',
 [KP1,_FIRST_SEG.elm1[KP2-1],_FIRST_SEG.elm3[KP2-1],KP2,_FIRST_SEG.elm1[KP3-1]]) + #$0D#$0A;
Result := Result + Format('%s',
 [#$0D#$0A'   Number of                      Coefficients for 2 component' + #$0D#$0A +
 '              -------------------------------------------------------------------------------------' + #$0D#$0A +
 ' coefficient            coordinate                    velocity                       acceleration' + #$0D#$0A +
 ' --------------------------------------------------------------------------------------------------' + #$0D#$0A]);
for J:=1 to KP1 do
 begin
Result := Result + Format('     %2d      %30.18e %30.18e %30.18e ',
 [J-1,_FIRST_SEG.elm2[J-1],_FIRST_SEG.elm4[J-1],_FIRST_SEG.elm6[J-1]]) + #$0D#$0A;
 end;
Result := Result + Format('     %2d      %30.18e %30.18e '+#$0D#$0A+'     %2d      %30.18e ',
 [KP1,_FIRST_SEG.elm2[KP2-1],_FIRST_SEG.elm4[KP2-1],KP2,_FIRST_SEG.elm2[KP3-1]]) + #$0D#$0A;
Result := Result + Format('%s',
 [#$0D#$0A + ' CHEBYSHEV COEFFICIENTS  AT 2 SEGMENT' + #$0D#$0A]);
Result := Result + Format('%s',[' INB=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[_SECOND_SEG.elm9[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [' COORDINATES AND VELOCITY AT THE END OF 2 SEGMENT:' + #$0D#$0A]);
Result := Result + Format('%s',[' YB=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[_SECOND_SEG.elm7[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + Format('%s',[' VB=']);
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%30.18e ',[_SECOND_SEG.elm8[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 ['   Number of                      Coefficients for 1 component' + #$0D#$0A +
 '              -------------------------------------------------------------------------------------' + #$0D#$0A +
 ' coefficient            coordinate                    velocity                       acceleration' + #$0D#$0A +
 ' --------------------------------------------------------------------------------------------------' + #$0D#$0A]);
for J:=1 to KP1 do
 begin
Result := Result + Format('     %2d      %30.18e %30.18e %30.18e ',
 [J-1,_SECOND_SEG.elm1[J-1],_SECOND_SEG.elm3[J-1],_SECOND_SEG.elm5[J-1]]) + #$0D#$0A;
 end;
Result := Result + Format('     %2d      %30.18e %30.18e '+#$0D#$0A+'     %2d      %30.18e ',
 [KP1,_SECOND_SEG.elm1[KP2-1],_SECOND_SEG.elm3[KP2-1],KP2,_SECOND_SEG.elm1[KP3-1]]) + #$0D#$0A;
Result := Result + Format('%s',
 [#$0D#$0A'   Number of                      Coefficients for 2 component' + #$0D#$0A +
 '              -------------------------------------------------------------------------------------' + #$0D#$0A +
 ' coefficient            coordinate                    velocity                       acceleration' + #$0D#$0A +
 ' --------------------------------------------------------------------------------------------------' + #$0D#$0A]);
for J:=1 to KP1 do
 begin
Result := Result + Format('     %2d      %30.18e %30.18e %30.18e ',
 [J-1,_SECOND_SEG.elm2[J-1],_SECOND_SEG.elm4[J-1],_SECOND_SEG.elm6[J-1]]) + #$0D#$0A;
 end;
Result := Result + Format('     %2d      %30.18e %30.18e '+#$0D#$0A+'     %2d      %30.18e ',
 [KP1,_SECOND_SEG.elm2[KP2-1],_SECOND_SEG.elm4[KP2-1],KP2,_SECOND_SEG.elm2[KP3-1]]) + #$0D#$0A;
UtRes('Tde89e2',Result);  {     Tde89e2.res }
exit;
end;

end.
